Bug 922542 - [FEAT] Please add support to replace multiple bricks at a time.
Summary: [FEAT] Please add support to replace multiple bricks at a time.
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: mainline
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-17 19:20 UTC by hans
Modified: 2015-10-22 15:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-22 15:46:38 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description hans 2013-03-17 19:20:48 UTC
Description of problem:

Only 1 replace-brick can be active for a volume. The action in itself typically takes days, so when lots of bricks have to be replaced this is a very lengthy process. Adding support for multiple replace-bricks running in parallel would greatly help.

Version-Release number of selected component (if applicable):

3.2.5, 3.3.1

How reproducible:

Start a replace-brick. Now try to start a second one.

Steps to Reproduce:
1. gluster volume replace-brick vol-a b c start
2. gluster volume replace-brick vol-a d e start
  
Actual results:

Step 2 cannot run when step 1 is still active.

Expected results:

Step 2 can run.

Additional info:

Comment 1 hans 2013-03-20 10:54:24 UTC
Additionally it would be very nice if add-brick would work while replace-brick is active.

Comment 2 shishir gowda 2013-04-08 05:24:43 UTC
This is request for a new feature/enhancement. Added the [FEAT] field in the summary

Comment 3 Niels de Vos 2014-11-27 14:45:15 UTC
Feature requests make most sense against the 'mainline' release, there is no ETA for an implementation and requests might get forgotten when filed against a particular version.

Comment 4 Kaleb KEITHLEY 2015-10-22 15:46:38 UTC
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.


Note You need to log in before you can comment on or make changes to this bug.